Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksTextInternal::PLC Struct Reference

Internal : the different plc types: mainly for debugging. More...

## Public Member Functions
| PLC ()
| the constructor More...

## Public Attributes
PLCType | m_type
| the PLC types More...
int | m_id
| the id More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, PLC const &plc)
| operator<< More...

## Detailed Description

Internal : the different plc types: mainly for debugging.

## Constructor & Destructor Documentation

## ◆ PLC()

ClarisWksTextInternal::PLC::PLC | ( |  | ) |
| inline

the constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | PLC const & | plc
| ) |  |
| friend

operator<<

Referenced by PLC(), and ClarisWksTextInternal::Token::Token().

## Member Data Documentation

## ◆ m_extra

std::string ClarisWksTextInternal::PLC::m_extra

extra data

Referenced by ClarisWksTextInternal::operator<<().

## ◆ m_id

int ClarisWksTextInternal::PLC::m_id

the id

Referenced by ClarisWksTextInternal::SubDocument::operator!=(), ClarisWksTextInternal::operator<<(), ClarisWksTextInternal::SubDocument::parse(), ClarisWksText::readDSETZone(), ClarisWksText::readFonts(), ClarisWksText::readParagraphs(), ClarisWksText::readTextSection(), ClarisWksText::readTextZoneSize(), and ClarisWksText::readTokens().

## ◆ m_type

PLCType ClarisWksTextInternal::PLC::m_type

the PLC types

Referenced by ClarisWksTextInternal::operator<<(), ClarisWksText::readDSETZone(), ClarisWksText::readFonts(), ClarisWksText::readParagraphs(), ClarisWksText::readTextSection(), ClarisWksText::readTextZoneSize(), and ClarisWksText::readTokens().

The documentation for this struct was generated from the following file:

- ClarisWksText.cxx